%define anolis_release .0.2
# Run tests in check section
# disable for bootstrapping
%bcond_with check


%global pkgname github.com/linuxdeepin/go-dbus-factory

#2020-04-26增加%global with_debug 1
%global with_debug 1

%if 0%{?with_debug}
%global debug_package   %{nil}
%endif

Name:           go-dbus-factory
Version:        1.11.2
Release:        1%{anolis_release}%{?dist}.02
Summary:        GO DBus factory for Deepin Desktop Environment
License:        GPLv3
URL:            https://github.com/linuxdeepin/go-dbus-factory
Source0:        %{url}/archive/%{version}/go-dbus-factory-%{version}.tar.gz

BuildRequires:  compiler(go-compiler)
BuildRequires:  go-srpm-macros

%description
%{summary}.

%package -n %{name}-devel
Summary:        %{summary}
BuildArch:      noarch
Obsoletes:      golang-github-linuxdeepin-go-dbus-factory-devel < %{version}-%{release}
Provides:       golang-github-linuxdeepin-go-dbus-factory-devel = %{version}-%{release}

%description -n %{name}-devel
%{summary}.


%prep
%forgeautosetup


%install
install -d -p %{buildroot}%{gopath}/src/%{pkgname}/
for file in $(find . -iname "*.go" | grep -v "_tool") ; do
    install -d -p %{buildroot}%{gopath}/src/%{pkgname}/$(dirname $file)
    cp -pav $file %{buildroot}%{gopath}/src/%{pkgname}/$file
    echo "%%{gopath}/src/%%{pkgname}/$file" >> devel.file-list
done

cp -pav README.md %{buildroot}%{gopath}/src/%{pkgname}/README.md
cp -pav CHANGELOG.md %{buildroot}%{gopath}/src/%{pkgname}/CHANGELOG.md
echo "%%{gopath}/src/%%{pkgname}/README.md" >> devel.file-list
echo "%%{gopath}/src/%%{pkgname}/CHANGELOG.md" >> devel.file-list

%if %{with check}
%check
%gochecks
%endif

%files -n %{name}-devel -f devel.file-list
%doc README.md CHANGELOG.md

%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 1.11.2-1.02.0.2
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 1.11.2-1.02.0.1
- rebuild for qt5-qtbase-5.15.3

* Sun Feb 26 2023 mahailiang <mahailiang@uniontech.com> - 1.11.2-1.02
- rebuild: rebuild for uniontech

* Tue Dec 27 2022 liweiganga <liweiganga@uniontech.com> - 1.11.2-1.01
- chore: add Provides and Obsoletes

* Tue Dec 27 2022 liweiganga <liweiganga@uniontech.com> - 1.11.2-1
- update: update to 1.11.2

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 1.9.25-1.01
- update: update to 1.9.25-1.01
